FreeBSD : quagga -- two DoS vulnerabilities (b2a40507-5c88-11e0-9e85-00215af774f0)

This script is Copyright (C) 2011-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Quagga developers report :

Quagga 0.99.18 has been released. This release fixes 2 denial of
services in bgpd, which can be remotely triggered by malformed
AS-Pathlimit or Extended-Community attributes. These issues have been
assigned CVE-2010-1674 and CVE-2010-1675. Support for AS-Pathlimit has
been removed with this release.

See also :

http://www.quagga.net/news2.php?y=2011&m=3&d=21#id1300723200
http://www.nessus.org/u?87b7413e

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 53266 ()

Bugtraq ID:

CVE ID: CVE-2010-1674
CVE-2010-1675

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now